#ifndef CERTIFICATE_STATUS_LISTENER_HPP
#define CERTIFICATE_STATUS_LISTENER_HPP

#include "AkentiCertificate.hpp"

namespace Akenti {

/**
  * <i>CertificateStatusListener</i>
  * 
  * @version 1.1 00/05/01
  * @author Srilekha Mudumbai
  * @author Abdelilah Essiari
  */
class CertificateStatusListener {

public:

  /**
    *
    */
  CertificateStatusListener() {
  }

  /**
    */
  virtual 
  ~CertificateStatusListener() {
  }

  /**
    */
  virtual void 
  verifyingCertFailed(const AkentiCertificate& cert) {
  }
  
  /**
    */
  virtual void 
  verifyingCertOK(const AkentiCertificate& cert) {
  }

  /**
    */
  virtual void 
  certStartCacheTimeChanged(const AkentiCertificate& cert) {
  }

  /**
    */
  virtual void 
  certEndCacheTimeChanged(const AkentiCertificate& cert) {
  }

};

} // end of name space

#endif 

