#ifndef AKENTI_DELETE_POLICY_CERTIFICATE_RESPONSE_HPP
#define AKENTI_DELETE_POLICY_CERTIFICATE_RESPONSE_HPP

#include "AkentiResponse.hpp"

namespace Akenti {

/**
  * Used to wrap the response to a <i>DeletePolicyCertificateRequest</i>.
  *
  * @see AkentiResponse
  * @see DeletePolicyCertificateResponse
  */
class DeletePolicyCertificateResponse : public AkentiResponse {
 
public:

  /**
    * Constuctor
    */
  DeletePolicyCertificateResponse();

  /**
    */
  ~DeletePolicyCertificateResponse();

private:

  friend class AkentiRequestResponseImplFactory;
  friend class AkentiResponse;
  static AkentiResponseImpl* getResponseImpl();
  class DeletePolicyCertificateResponseImpl;
  typedef DeletePolicyCertificateResponseImpl* ImplType;

};

}

#endif
